MiniBoss = {}
mbmt = {}
ShootFrameCount=0


function MiniBoss:new(sx,sy)
	local sintra
	local rn = math.random(0,1)
	if rn==1 then
		sintra = 90 - math.random(0,50)
	else
		sintra = 90 + math.random(0,50)
	end
	return setmetatable({x=sx,y=sy,w=MiniBossTex:getWidth(),h=MiniBossTex:getHeight()
	,image=MiniBossTex,theta=0,health=70,speed=math.random()+2,shoottimer=0,intra=sintra},mbmt)
end

function MiniBoss:Shoot()
	if self.shoottimer >= self.intra then
		table.insert(FireBalls,1,FireBall:new(self.x,self.y,self.theta))
		self.shoottimer = 0
	end
end

function MiniBoss:React(theta)
	local rn = math.random(0,4)
	Particals[rn]:setPosition(self.x,self.y)
	Particals[rn]:start()
	SpillSpatter(10,self.x,self.y)
	self.health = self.health - 10
	local rx = math.sin(theta)*20
	local ry = math.cos(theta)*20
	self.x = self.x + rx
	self.y = self.y - ry
	return self.health > 0
end

function MiniBoss:draw()
	love.graphics.draw(self.image,self.x,self.y,self.theta,1,1,self.w/2,self.h/2)
end

function MiniBoss:update()
	self.shoottimer = self.shoottimer + 1
	local px = ThePlayer.x
	local py = ThePlayer.y
	local zx = self.x
	local zy = self.y
	self:Shoot()
	self.theta = math.atan2(py-zy,px-zx) + math.pi/2
	local ix = math.sin(self.theta)*self.speed
	local iy = -math.cos(self.theta)*self.speed
	self.x = zx + ix
	self.y = zy + iy
end

mbmt.__index = MiniBoss
