Fire = {}
FireBall = {}
fbmt = {}
FireBalls = {}

function FireBall:new(sx,sy,dir)
	local rn = math.random(0,4)
	local p = love.graphics.newParticleSystem(Fire[rn], 300)
	p:setEmissionRate(150)
	p:setSizeVariation(1)
	p:setSpeed(120, 160)
	p:setGravity(0)
	p:setSize(1.5, 0.5)
	p:setPosition(0, 0)
	p:setLifetime(0.4)
	p:setParticleLife(0.2)
	p:setDirection(math.pi*2)
	p:setSpread(math.pi*2)
	p:stop()
	return setmetatable({x=sx,y=sy,theta=dir,emiter=p},fbmt)
end

function FireBall:update(dt)
	local ix,iy = math.sin(self.theta)*10,-math.cos(self.theta)*10
	self.x = self.x + ix
	self.y = self.y + iy
	if not self.emiter:isActive() then
		self.emiter:start()
	end
	self.emiter:setPosition(self.x,self.y)
	self.emiter:update(dt)
	love.graphics.draw(self.emiter, 0, 0)
	love.graphics.setColor(0,255,0,255)
end

fbmt.__index = FireBall

