require("Scripts/Collsion.lua")
require("Scripts/FireBall.lua")
require("Scripts/Player.lua")
require("Scripts/Zombie.lua")
require("Scripts/MiniBoss.lua")
require("Scripts/Bullet.lua")
require("Scripts/BloodSpater.lua")
require("Scripts/GameUtilts.lua")
require("Scripts/Muzzle.lua")


function love.update(dt)
	love.graphics.draw(BackGround,0,0)
	love.graphics.draw(ArmsBatch[0],0,0)
	love.graphics.draw(ArmsBatch[1],0,0)
	love.graphics.draw(SpatterBatch[0],0,0)
	love.graphics.draw(SpatterBatch[1],0,0)
	love.graphics.draw(SpatterBatch[2],0,0)
	love.graphics.draw(SpatterBatch[3],0,0)
	love.graphics.draw(SpatterBatch[4],0,0)
	love.graphics.draw(ArmsBatch[2],0,0)
	love.graphics.draw(ArmsBatch[3],0,0)
	local Hit=0
	local ZombiesHit={}
	local HitIndex={}
	local DeleteFireBalls = {}
	ThePlayer:update()
	ThePlayer:draw()
	Particals[0]:update(dt)
	Particals[1]:update(dt)
	Particals[2]:update(dt)
	Particals[3]:update(dt)
	Particals[4]:update(dt)
	for i=1,#Enemys-1,1 do
		if Hit < 10 and BoundingBoxCollideWT(ThePlayer,Enemys[i],12,12) then
			Hit=Hit+1
			ThePlayer:React()
		end
		for j=0,#Bullets-1,1 do
			local L = ExtendLine(Bullets[j])
			if BoxLineCollsion(Enemys[i],L) then
				table.insert(ZombiesHit,1,Enemys[i])
				HitIndex[Enemys[i]] = i
			end
		end
		Enemys[i]:update()
		Enemys[i]:draw()
	end
	love.graphics.draw(Particals[0], 0, 0)
	love.graphics.draw(Particals[1], 0, 0)
	love.graphics.draw(Particals[2], 0, 0)
	love.graphics.draw(Particals[3], 0, 0)
	love.graphics.draw(Particals[4], 0, 0)
	love.graphics.setColorMode("modulate")
	love.graphics.print(#Enemys-1,900,20)
	love.graphics.print(#FireBalls,800,20)
	MuzzleFlash:update(dt)
	MuzzleFlash:draw()
	love.graphics.setColorMode("replace")
	if #Enemys-1 <=0 then
		NewWave()
	end
	--finds closest zombie that was hit if one was hit and reacts react
	table.sort(ZombiesHit,SortFunc)
	if ZombiesHit[1] then
		if not ZombiesHit[1]:React(ThePlayer.theta) then
			ArmSpatter(ZombiesHit[1].x,ZombiesHit[1].y)
			table.remove(Enemys,HitIndex[ZombiesHit[1]])
			local rn = math.random(100)
			--NewItem(ZombiesHit[1].x,ZombiesHit[1].y,GetweightedNum(rn))
		end
	end
	for i=0,#Bullets,1 do
		table.remove(Bullets,#Bullets)
	end
	for i=1,#FireBalls,1 do
		if BoundingCircleCollideRadius(ThePlayer,FireBalls[i],20,12) then
			ThePlayer:React()
		end
		FireBalls[i]:update(dt,i)
		if FireBalls[i].x > 1200 or FireBalls[i].x < -200 or FireBalls[i].y > 1200 or FireBalls[i].y < -200 then
			DeleteFireBalls[FireBalls[i]] = i
		end
	end
	for FB,index in pairs(DeleteFireBalls) do
		table.remove(FireBalls,index)
	end
	return ThePlayer.health > 0
end

function MenuLoop()
	while true do
		break
	end
end

function PauseLoop()

end

function MainLoop()
	love.graphics.setColorMode("replace")
	while true do
		--need to add in a puase feture, mabey switch witch functions are called
		love.timer.step()
		love.graphics.clear()
        if not love.update(love.timer.getDelta()) then
			return true
		end
		for e,a,b,c in love.event.poll() do
			if e == "q" then
				if not love.quit or not love.quit() then
					love.audio.stop()
					return false
				end
			end
			love.handlers[e](a,b,c)
		end
        love.graphics.present()
    end
end



